| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XHdmi_Exdes Struct Reference

This typedef defines the handler for the pass-thorugh example design that handles the state of the pass-through design. More...

## Data Fields
XTmrCtr | SysTmrInst
| Generic timer instance for control and exception handlers. More...
u32 | SysTmrPulseIntervalinMs
        User specified pulse interval
for system timer. More...
u8 | IsTxPresent
| Flag to track the presence of TX. More...
u8 | IsRxPresent
| Flag to track the presence of RX. More...
u8 | ForceIndependent
| Flag to track independent or pass-through mode of operation of the example design. More...
u8 | SystemEvent
| This flag tracks the happening of an 'event' on the system, which can the detection of a new rx stream or a new tx sink. More...
u8 | TxStartTransmit
| This flag allows the example design to hold/allow the tranmission of a new stream on the transmitter. More...
u8 | TxBusy
| This flag is set while the TX is initialized. More...

## Detailed Description

This typedef defines the handler for the pass-thorugh example design that handles the state of the pass-through design.

## Field Documentation

u8 XHdmi_Exdes::ForceIndependent

Flag to track independent or pass-through mode of operation of the example design.

Referenced by main().

u8 XHdmi_Exdes::IsRxPresent

Flag to track the presence of RX.

Referenced by Exdes_InitController(), and main().

u8 XHdmi_Exdes::IsTxPresent

Flag to track the presence of TX.

Referenced by Exdes_InitController(), and main().

u8 XHdmi_Exdes::SystemEvent

This flag tracks the happening of an 'event' on the system, which can the detection of a new rx stream or a new tx sink.

Referenced by Exdes_InitController(), and main().

XTmrCtr XHdmi_Exdes::SysTmrInst

Generic timer instance for control and exception handlers.

Referenced by Exdes_StartSysTmr(), Exdes_SysTimerIntrHandler(), and Exdes_SysTmrInitialize().

u32 XHdmi_Exdes::SysTmrPulseIntervalinMs

        User specified pulse interval

for system timer.

Referenced by Exdes_StartSysTmr().

u8 XHdmi_Exdes::TxBusy

This flag is set while the TX is initialized.

This flag is used by the menu to check if TX operations are ongoing and block the menu prints from disrupting the time-sensitive operations of the TX.

Referenced by main().

u8 XHdmi_Exdes::TxStartTransmit

This flag allows the example design to hold/allow the tranmission of a new stream on the transmitter.

Referenced by Exdes_CheckforResChange(), Exdes_InitController(), and main().